Package org.springframework.security.web

# Interface PortMapper

All Known Implementing Classes:
  `PortMapperImpl`

public interface PortMapper
`PortMapper` implementations provide callers with information about which HTTP ports are associated with which HTTPS ports on the system, and vice versa.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`lookupHttpPort(Integer httpsPort)`
Locates the HTTP port associated with the specified HTTPS port.
`Integer`
`lookupHttpsPort(Integer httpPort)`
Locates the HTTPS port associated with the specified HTTP port.

## Method Details

### lookupHttpPort

Integer lookupHttpPort(Integer httpsPort)
Locates the HTTP port associated with the specified HTTPS port.

Returns `null` if unknown.

Parameters:
  `httpsPort` -
Returns:
  the HTTP port or `null` if unknown

### lookupHttpsPort

Integer lookupHttpsPort(Integer httpPort)
Locates the HTTPS port associated with the specified HTTP port.

Returns `null` if unknown.

Parameters:
  `httpPort` -
Returns:
  the HTTPS port or `null` if unknown